> ## Documentation Index
> Fetch the complete documentation index at: https://io-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Embeddings

> Generate embeddings for the provided text using the specified model.



## OpenAPI

````yaml openapi/generate-embedding.json post /api/r2r/v3/retrieval/embedding
openapi: 3.1.0
info:
  title: IO Intelligence
  version: '1.0'
servers:
  - url: https://api.intelligence.io.solutions
security:
  - sec0: []
paths:
  /api/r2r/v3/retrieval/embedding:
    post:
      summary: Generate Embeddings
      description: Generate embeddings for the provided text using the specified model.
      operationId: generate-embedding
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    results:
                      - 1.1
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: number
                      example: 1.1
                      default: 0
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: oauth2
      flows: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.